%define momorel 2

Summary:  Limit simultaneous connections by an IP address
Name: mod_limitipconn
Version: 0.22
Release: %{momorel}m
License: MIT/X
Group: System Environment/Daemons
URL: http://dominia.org/djao/limitipconn2.html
Source0: http://dominia.org/djao/limit/%{name}-%{version}.tar.gz
NoSource: 0
Source1: limitipconn.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: httpd-devel >= 2.0.47-3m
Requires: webserver

%description
The mod_limitipconn module lets you enforce limits on the number of
simultaneous downloads allowed from a single IP address. You can also
control which MIME types are affected by the limits.

%prep
%setup -q

%build
make APXS=/usr/sbin/apxs

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/httpd/modules
/usr/sbin/apxs -i -S LIBEXECDIR="%{buildroot}%{_libdir}/httpd/modules" \
  -n 'limitipconn' .libs/mod_limitipconn.so
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/limitipconn.conf.dist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog
%config %{_sysconfdir}/httpd/conf.d/limitipconn.conf.dist
%{_libdir}/httpd/modules/*.so

%changelog
* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.22-2m)
- stop service

* Thu Jul 31 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.22-1m)
- initial import to momonga
